Skip to Content

Get one order

GET/v3/orders/:orderId

Description

Get a previously created order by its orderId. This endpoint is useful if you want to get the details (including the status) of a specific order.

Order Statuses

  • inProgress: The order is still being processed.
  • complete: The order was successfully processed.
  • failed: The order failed to be processed. Only reported while no deposit is confirmed.
  • expired: The order expired. Only reported while no deposit is confirmed.
  • refunded: The order was refunded.
  • delayed: The order is delayed.

Once a deposit transaction has at least one confirmation, the order stays inProgress until it reaches a definitive status, even if the provider reports it as failed or expired first.

Order lifecycle with inProgress and delayed as active statuses, and complete, failed, expired, or refunded as final statuses
Continue polling for inProgress and delayed orders. Stop when the order reaches any final status.

Header Parameters

NameDescriptionRequiredExample
App-NameApp-Name for the authorizationyesacme-inc
App-VersionApp-Version for the authorizationno23.5.5
App-PlatformClient platform: desktop, mobile, or browsernobrowser
ForwardedIf you are proxying requests to the API, you must include the "Forwarded" header with the original request IP address. This is used for geolocation availability purposes.no
User-AgentUser-Agent for the authorizationnoAgentName/1.0.0

Path Parameters

NameDescriptionRequired

Response

Here is an example of a successful response with a complete status:

Response
{
  "amount": {
    "assetId": "ETH",
    "value": "0.1428498"
  },
  "createdAt": "2022-07-26T04:10:49.087Z",
  "fromAddress": "0xb9610EA77d7EAfEa169896e123F0704B3F0F6F55",
  "fromTransactionId": "0xc1cb0cbe6db68347d7faa2280f1251872a155f6558451365b8309b6a92935004",
  "id": "AROzE5pqalJ1nVY",
  "message": "",
  "pairId": "ETH_CRV",
  "payInAddress": "fake-receive-address-71cfe1c7b2113fb5",
  "providerOrderId": "0xc1cb0cbe6db68347d7faa2280f1251872a155f6558451365b8309b6a92935004",
  "rateId": "",
  "toAddress": "0xb9610EA77d7EAfEa169896e123F0704B3F0F6F55",
  "toTransactionId": "0xc1cb0cbe6db68347d7faa2280f1251872a155f6558451365b8309b6a92935004",
  "updatedAt": "2022-07-26T04:15:05.706Z",
  "status": "complete"
}
Last updated on